#ifndef TIMELINE_H
#define TIMELINE_H

#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Config.hpp>
#include <memory>

using microsec = sf::Int64;

class Timeline
{
public:
    virtual ~Timeline() = default;

    virtual void update() = 0;
    virtual void run() = 0;
    virtual void clear() = 0;

    virtual microsec currentMusicOffset() const = 0;
    virtual void drawVisibleNotes(sf::RenderWindow& window) const = 0;
};

#endif // TIMELINE_H
